import request from './request'; // 请替换成你实际使用的请求库

// 定义一个登录请求的函数
export const login = async (email:string, password:string) => {
  try {
    const result = await request({
      method: 'POST',
      url: `/auth/login?login=${email}&password=${password}`,
      // 其他请求配置...
    });
    return result.data; // 返回请求成功时的数据
  } catch (error) {
    // 处理请求失败的逻辑
    console.error('Error fetching data:', error);
    throw error; // 将错误继续抛出，以便在组件中处理
  }
};